<?xml version="1.0"?> 
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:variable name="CheckID" select="'CheckIDHere'"></xsl:variable>

	<xsl:variable name="ScoreLookup">
	  <c score="0" url="Graphics/dash.gif" alttext="Check Not Performed"/>
	  <c score="1" url="Graphics/excl_red.gif" alttext="Unable to scan"/>
	  <c score="2" url="Graphics/x_red.gif" alttext="Check failed (critical)"/>
	  <c score="3" url="Graphics/x_gold.gif" alttext="Check failed (non-critical)"/>
	  <c score="4" url="Graphics/astrx.gif" alttext="Best practice"/>
	  <c score="5" url="Graphics/chek_grn.gif" alttext="Check passed"/>
	  <c score="7" url="Graphics/info.gif" alttext="Additional information"/>
	</xsl:variable>
	
	<xsl:template match="SecScan">
		
			<h1><xsl:value-of select="Check[@ID=$CheckID]/Advice"/></h1>
			<h2>Result Details<br /><br /><xsl:value-of select="Check[@ID=$CheckID]/Detail/@text"/></h2>
			<table id="TableID" width="100%" border="0" cellpadding="0" cellspacing="0" style="border: solid 1px #000000; padding-left: 10px; padding-right: 10px;">
			<tr class="DetailHeader">
				<td>
					Score
				</td>
				<xsl:for-each select="Check[@ID=$CheckID]/Detail/Head/Col">
					<td Nowrap="true">
					<xsl:value-of select="."/>
					</td>
				</xsl:for-each>
			</tr>
			
			<xsl:for-each select="Check[@ID=$CheckID]/Detail">
				<xsl:apply-templates select="Row">
				</xsl:apply-templates>
			</xsl:for-each>
			</table>
	</xsl:template>

	<xsl:template match="Row">
	<xsl:param name="score" select="@Grade"/>
		<tr>
			<td valign="top">
				<xsl:choose>
				  <xsl:when test="../../@ID='121'">
					<img alt="{document('')/*/xsl:variable[@name='ScoreLookup']/c[@score=7]/@alttext}" src="{document('')/*/xsl:variable[@name='ScoreLookup']/c[@score=7]/@url}" />
				  </xsl:when>
				  <xsl:when test="../../@ID='10121'">
					<img alt="{document('')/*/xsl:variable[@name='ScoreLookup']/c[@score=7]/@alttext}" src="{document('')/*/xsl:variable[@name='ScoreLookup']/c[@score=7]/@url}" />
				  </xsl:when>
				  <xsl:otherwise>
					<IMG alt="{document('')/*/xsl:variable[@name='ScoreLookup']/c[@score=$score]/@alttext}" src="{document('')/*/xsl:variable[@name='ScoreLookup']/c[@score=$score]/@url}" />
				  </xsl:otherwise>
				</xsl:choose>	
			</td>
			<xsl:for-each select="Col">
			<td valign="top">
			 <xsl:choose>
			  <xsl:when test="@URL">
				<A target="blank" href="{@URL}"><xsl:value-of select="."/></A>
			  </xsl:when>
			  <xsl:otherwise>
				<xsl:value-of select="."/>
			  </xsl:otherwise>
			</xsl:choose>	
			</td>
			</xsl:for-each>
		</tr>
	</xsl:template>
	
</xsl:stylesheet>